/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"html": "<p>Die Klasse <code>VIELFACHE</code> soll ganzzahlige Vielfache ihres Attributes <code>wovon</code> berechnen. Ist beispielsweise <code>fuenf</code> ein Objekt dieser Klasse mit <code>5</code> als Attributwert von <code>wovon</code>, soll <code>fuenf.vielfaches(4)</code> den Wert <code>20</code> liefern, weil 20 das vierte Vielfache von 5 ist (also 20 = 4 · 5).</p><p>Programmiere diese Methode. Die innere Sequenz muss so kurz und einfach wie möglich sein. Verwende stets das Schlüsselwort <code>this</code>, wenn du auf Attribute zugreifst.</p>",
	"canReset": true,
	"code": "class VIELFACHE {\n    int wovon;\n    \n    VIELFACHE(\n        int wovon\n    ) {\n        this.wovon = wovon;\n    }\n}",
	"fineSyntax": 1,
	"checkData": [
		{
			"name": "VIELFACHE",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"name": "wovon",
					"type": "int",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": false,
					"part": "attribute"
				},
				{
					"static": false,
					"visibility": 2,
					"params": [
						{
							"name": "wovon",
							"type": "int",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": " this . wovon = wovon ;",
					"part": "constructor"
				},
				{
					"name": "vielfaches",
					"type": "int",
					"dimensions": "0",
					"static": false,
					"abstract": false,
					"params": [
						{
							"type": "int",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": [
						"@return this.wovon * @1;",
						" return @1 * this.wovon;"
					],
					"part": "method"
				}
			],
			"part": "class"
		}
	]
}